
  <!DOCTYPE html>
  <html>
    <head>
      <title>setupProxy.js</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="negative"><td class="">src/setupProxy.js</td><td class="">76.74%</td><td class="">80%</td><td class="">43</td><td class="">33</td><td class="">10</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">/**
 * Этот файл настраивает проксирование запросов для дев-сервера create-react-app.
 * Подробнее тут: https://facebook.github.io/create-react-app/docs/proxying-api-requests-in-development
 */

const { URL } = require(&#x27;url&#x27;);
const proxy = require(&#x27;http-proxy-middleware&#x27;);

const devApiProxy = process.env.DEV_API_PROXY;

function applyProxy(app, from, to) {
  const url = new URL(to);
  const pathname = url.pathname;
  const origin = url.origin;
  console.log(`Enabling proxy from &#x27;${from}&#x27; to &#x27;${origin}${pathname}&#x27;`);
  app.use(
    proxy(from, {
      target: origin,
      changeOrigin: true,
      pathRewrite: {
        [&#x27;^&#x27; + from]: pathname
      }
    })
  );
}

module.exports = (app) =&gt; {
  if (devApiProxy) {
    applyProxy(app, &#x27;/api&#x27;, devApiProxy);
  }
};
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/setupProxy.js&quot;,&quot;line&quot;:10,&quot;character&quot;:20,&quot;text&quot;:&quot;app&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/setupProxy.js&quot;,&quot;line&quot;:10,&quot;character&quot;:25,&quot;text&quot;:&quot;from&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/setupProxy.js&quot;,&quot;line&quot;:10,&quot;character&quot;:31,&quot;text&quot;:&quot;to&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/setupProxy.js&quot;,&quot;line&quot;:14,&quot;character&quot;:38,&quot;text&quot;:&quot;from&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/setupProxy.js&quot;,&quot;line&quot;:15,&quot;character&quot;:2,&quot;text&quot;:&quot;app&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/setupProxy.js&quot;,&quot;line&quot;:15,&quot;character&quot;:6,&quot;text&quot;:&quot;use&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/setupProxy.js&quot;,&quot;line&quot;:16,&quot;character&quot;:10,&quot;text&quot;:&quot;from&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/setupProxy.js&quot;,&quot;line&quot;:20,&quot;character&quot;:15,&quot;text&quot;:&quot;from&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/setupProxy.js&quot;,&quot;line&quot;:26,&quot;character&quot;:18,&quot;text&quot;:&quot;app&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/setupProxy.js&quot;,&quot;line&quot;:28,&quot;character&quot;:15,&quot;text&quot;:&quot;app&quot;,&quot;kind&quot;:1}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  